!Generated automatically from Makefile.in by configure.
!
!This file is a Makefile for Tcl.  If it has the name "Makefile.in"
!then it is a template for a Makefile;  to generate the actual Makefile,
!run "./configure", which is a configuration script generated by the
!"autoconf" program (constructs like "@foo@" will get replaced in the
!actual Makefile.
!
!SCCS: @(#) Makefile.in 1.100 96/02/17 14:18:30

!Current Tcl version;  used in various names.

VERSION = 7.5

!ARCH != @arch
ARCH = "alpha"

!----------------------------------------------------------------
!Things you can change to personalize the Makefile for your own
!site (you can make these changes in either Makefile.in or
! Makefile, but changes to Makefile will get lost if you re-run
! the configuration script).
!----------------------------------------------------------------

! Default top-level directories in which to install architecture-
! specific files (exec_prefix) and machine-independent files such
! as scripts (prefix).  The values specified here may be overridden
! at configure-time with the --exec-prefix and --prefix options
! to the "configure" script.

prefix =	tcl_base:
exec_prefix =	$(prefix)

! The following definition can be set to non-null for special systems
! like AFS with replication.  It allows the pathnames used for installation
! to be different than those used for actually reference files at
! run-time.  INSTALL_ROOT is prepended to $prefix and $exec_prefix
! when installing files.
INSTALL_ROOT = 

! Directory from which applications will reference the library of Tcl
! scripts (note: you can set the TCL_LIBRARY environment variable at
! run-time to override this value):
TCL_LIBRARY = tcl_library:

! Path name to use when installing library scripts:
SCRIPT_INSTALL_DIR =	$(INSTALL_ROOT)$(TCL_LIBRARY)

! Directory in which to install libtcl.so or libtcl.a:
LIB_INSTALL_DIR =	$(INSTALL_ROOT)$(exec_prefix)[lib]

! Directory in which to install the program tclsh:
BIN_INSTALL_DIR =	$(INSTALL_ROOT)$(exec_prefix)[bin]

! Directory in which to install the include file tcl.h:
INCLUDE_INSTALL_DIR =	$(INSTALL_ROOT)$(prefix)[include]

! Top-level directory in which to install manual entries:
MAN_INSTALL_DIR =	$(INSTALL_ROOT)$(prefix)[man]

! Directory in which to install manual entry for tclsh:
MAN1_INSTALL_DIR =	$(MAN_INSTALL_DIR)[man1]

! Directory in which to install manual entries for Tcl's C library
! procedures:
MAN3_INSTALL_DIR =	$(MAN_INSTALL_DIR)[man3]

! Directory in which to install manual entries for the built-in
! Tcl commands:
MANN_INSTALL_DIR =	$(MAN_INSTALL_DIR)[mann]

! Additional libraries to use when linking.  The "LIBS" part will be
! replaced (or has already been replaced) with relevant libraries as
! determined by the configure script.
LIBS = 

SH_LIBS = $(LIBS)

! To change the compiler switches, for example to change from -O
! to -g, change the following line:
!LAGS = 
!CFLAGS = /extern=strict/deb/noopt

! To disable ANSI-C procedure prototypes reverse the comment characters
! on the following lines:
PROTO_FLAGS =
!PROTO_FLAGS = -DNO_PROTOTYPE

! Mathematical functions like sin and atan2 are enabled for expressions
! by default.  To disable them, reverse the comment characters on the
! following pairs of lines:
MATH_FLAGS =
!MATH_FLAGS = -DTCL_NO_MATH
MATH_LIBS = -lm
!MATH_LIBS =

! To compile for non-UNIX systems (so that only the non-UNIX-specific
! commands are available), reverse the comment characters on the
! following pairs of lines.  In addition, you'll have to provide your
! own replacement for the "panic" procedure (see panic.c for what
! the current one does).
GENERIC_FLAGS =
!GENERIC_FLAGS = -DTCL_GENERIC_ONLY
VMS_OBJS = tclMtherr.obj, vmsFileChan.obj, ucxSockChan.obj, tclVmsFile.obj, -
	tclVmsLoad.obj, tclVmsNotfy.obj, tclVmsSock.obj, tclVmsTime.obj, -
	tclVmsInit.obj, vmsSelect.obj, tclUnix2Vms.obj, tclVmsExec.obj, -
	vmsDevChan.obj, vmsNameToUnix.obj

!UNIX_OBJS =

! To enable memory debugging reverse the comment characters on the following
! lines.  Warning:  if you enable memory debugging, you must do it
! *everywhere*, including all the code that calls Tcl, and you must use
! ckalloc and ckfree everywhere instead of malloc and free.
MEM_DEBUG_FLAGS =
!MEM_DEBUG_FLAGS = -DTCL_MEM_DEBUG

! Some versions of make, like SGI's, use the following variable to
! determine which shell to use for executing commands:
SHELL =		/bin/sh

! Tcl used to let the configure script choose which program to use
! for installing, but there are just too many different versions of
! "install" around;  better to use the install-sh script that comes
! with the distribution, which is slower but guaranteed to work.

INSTALL =		install-sh -c
INSTALL_PROGRAM =	$(INSTALL)
INSTALL_DATA =		$(INSTALL) -m 644

! The following symbol defines additional compiler flags to enable
! Tcl itself to be a shared library.  If Tcl isn't going to be a
! shared library then the symbol has an empty definition.

TCL_SHLIB_CFLAGS = 
!TCL_SHLIB_CFLAGS =

!----------------------------------------------------------------
! The symbols below provide support for dynamic loading and shared
! libraries.  See configure.in for a description of what the
! symbols mean.  The values of the symbols are normally set by the
! configure script.  You shouldn't normally need to modify any of
! these definitions by hand.  However, you can reverse the comments
! on the pairs of lines to force "no dynamic loading or shared
! libraries".
!----------------------------------------------------------------

SHLIB_LD = ld -shared -expect_unresolved "*"

SHLIB_SUFFIX = .exe
!SHLIB_SUFFIX =

!DL_OBJS = tclLoadDl.o
!DL_OBJS = tclLoadNone.o
DL_OBJS = tclvmsload.obj

DL_LIBS = 
!DL_LIBS =

LD_FLAGS =  
!LD_FLAGS =

DLTEST_TARGETS = [dltest]pkg5$(SHLIB_SUFFIX) [dltest]Makefile

! The following symbol is defined to "$(DLTEST_TARGETS)" if dynamic
! loading is available;  this causes everything in the "dltest"
! subdirectory to be built when making "tcltest.  If dynamic loading
! isn't available, configure defines this symbol to an empty string,
! in which case the shared libraries aren't built.
BUILD_DLTEST = $(DLTEST_TARGETS)
!BUILD_DLTEST =

!TCL_LIB_FILE = libtcl7.5.so
TCL_LIB_FILE = libtcl.olb

!----------------------------------------------------------------
! The information below is modified by the configure script when
! Makefile is generated from Makefile.in.  You shouldn't normally
! modify any of this stuff by hand.
!----------------------------------------------------------------

COMPAT_OBJS =		strncasecmp.obj, strftime.obj

!AC_FLAGS =		 -DHAVE_UNISTD_H=1 -DHAVE_SYS_TIME_H=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_TM_ZONE=1 -DHAVE_TM_GMTOFF=1 -DHAVE_TIMEZONE_VAR=1 -DSTDC_HEADERS=1 -DNO_UNION_WAIT=1 -DNEED_MATHERR=1 -Dvfork=fork 
RANLIB =		:
SRC_DIR =		.
TOP_DIR =		top_directory:
GENERIC_DIR = 		$(TOP_DIR)[generic]
COMPAT_DIR =		$(TOP_DIR)[compat]
DLTEST_DIR =		$(TOP_DIR)[dltest]
UNIX_DIR = 		$(TOP_DIR)[unix]
VMS_DIR = 		$(TOP_DIR)[vms]
!multinet_dir = MULTINET_COMMON_ROOT:[MULTINET.INCLUDE.SYS]
CC =			cc

!----------------------------------------------------------------
! The information below should be usable as is.  The configure
! script won't modify it and you shouldn't need to modify it
! either.
!----------------------------------------------------------------

!MULTINET_SYS =          /multinet_common_root/multinet/include/sys
!MULTINET_NETINET =      /multinet_common_root/multinet/include/netinet
!MULTINET_ARPA =         /multinet_common_root/multinet/include/arpa

!define/user sys $(MULTINET_SYS:V);
.c.obj:
	$(CC) $(CC_SWITCHES) $<

CC_SWITCHES = /decc/diag/warn=disable=(portable)/deb/noopt $(CFLAGS)/inc=([],$(GENERIC_DIR),$(VMS_DIR)) -
/define=("__VMS","USE_UCX","NO_UNAME","HAVE_UNISTD_H=1","STDC_HEADERS=1","NO_UNION_WAIT=1",-
"NO_WAIT3","TCL_LIBRARY=""$(TCL_LIBRARY)""","TCL_SHLIB_EXT=""$(SHLIB_SUFFIX)""")

TCLSH_OBJS = tclAppInit.obj

TCLTEST_OBJS = tclTestInit.obj tclTest.obj

GENERIC_OBJS = panic.obj, regexp.obj, tclAsync.obj, tclBasic.obj, tclCkalloc.obj, -
	tclClock.obj, tclCmdAH.obj, tclCmdIL.obj, tclCmdMZ.obj, tclDate.obj, tclEnv.obj, -
	tclEvent.obj, tclExpr.obj, tclFHandle.obj, tclFileName.obj, tclGet.obj, tclHash.obj, -
	tclHistory.obj, tclInterp.obj, tclIO.obj, tclIOCmd.obj, -
	tclIOSock.obj, tclIOUtil.obj, tclLink.obj, tclLoad.obj, tclMain.obj, tclNotify.obj, -
	tclParse.obj, tclPkg.obj, tclPosixStr.obj, tclPreserve.obj, tclProc.obj, -
	tclUtil.obj, tclVar.obj

OBJS = $(GENERIC_OBJS) $(VMS_OBJS) $(COMPAT_OBJS) $(DL_OBJS)

GENERIC_HDRS = -
	$(GENERIC_DIR)tclRegexp.h -
	$(GENERIC_DIR)tcl.h -
	$(GENERIC_DIR)tclInt.h -
	$(GENERIC_DIR)tclPort.h -
	$(GENERIC_DIR)patchlevel.h

GENERIC_SRCS = -
	$(GENERIC_DIR)regexp.c -
	$(GENERIC_DIR)tclAsync.c -
	$(GENERIC_DIR)tclBasic.c -
	$(GENERIC_DIR)tclCkalloc.c -
	$(GENERIC_DIR)tclClock.c -
	$(GENERIC_DIR)tclCmdAH.c -
	$(GENERIC_DIR)tclCmdIL.c -
	$(GENERIC_DIR)tclCmdMZ.c -
	$(GENERIC_DIR)tclDate.c -
	$(GENERIC_DIR)tclEnv.c -
	$(GENERIC_DIR)tclEvent.c -
	$(GENERIC_DIR)tclExpr.c -
	$(GENERIC_DIR)tclFHandle.c -
	$(GENERIC_DIR)tclFileName.c -
	$(GENERIC_DIR)tclGet.c -
	$(GENERIC_DIR)tclHash.c -
	$(GENERIC_DIR)tclHistory.c -
	$(GENERIC_DIR)tclInterp.c -
	$(GENERIC_DIR)tclIO.c -
	$(GENERIC_DIR)tclIOCmd.c -
	$(GENERIC_DIR)tclIOSock.c -
	$(GENERIC_DIR)tclIOUtil.c -
	$(GENERIC_DIR)tclLink.c -
	$(GENERIC_DIR)tclLoad.c -
	$(GENERIC_DIR)tclMain.c -
	$(GENERIC_DIR)tclNotify.c -
	$(GENERIC_DIR)tclParse.c -
	$(GENERIC_DIR)tclPkg.c -
	$(GENERIC_DIR)tclPosixStr.c -
	$(GENERIC_DIR)tclPreserve.c -
	$(GENERIC_DIR)tclProc.c -
	$(GENERIC_DIR)tclTest.c -
	$(GENERIC_DIR)tclUtil.c -
	$(GENERIC_DIR)tclVar.c

UNIX_HDRS = -
	$(UNIX_DIR)tclUnixPort.h

UNIX_SRCS = -
	$(UNIX_DIR)tclAppInit.c -
	$(UNIX_DIR)tclMtherr.c -
	$(UNIX_DIR)tclUnixChan.c -
	$(UNIX_DIR)tclUnixFile.c -
	$(UNIX_DIR)tclUnixNotfy.c -
	$(UNIX_DIR)tclUnixPipe.c -
	$(UNIX_DIR)tclUnixSock.c -
	$(UNIX_DIR)tclUnixTime.c -
	$(UNIX_DIR)tclUnixInit.c

DL_SRCS = -
	$(UNIX_DIR)tclLoadAix.c -
	$(UNIX_DIR)tclLoadAout.c -
	$(UNIX_DIR)tclLoadDl.c -
	$(UNIX_DIR)tclLoadDl2.c -
	$(UNIX_DIR)tclLoadDld.c -
	$(GENERIC_DIR)tclLoadNone.c -
	$(UNIX_DIR)tclLoadOSF.c -
	$(UNIX_DIR)tclLoadShl.c

! Note: don't include DL_SRCS in SRCS:  most of those files won't
! compile on the current machine, and they will cause problems for
! things like "make depend".

SRCS = $(GENERIC_SRCS) $(UNIX_SRCS)

tclsh DEPENDS_ON  tclsh.exe
tclshr.exe DEPENDS_ON libtcl.olb, $(TCLSHR_DEPS)
	link/map/debu/share=$@ $(LDSHROPTS) $(OPTFILE)/opt

tclsh.exe DEPENDS_ON tclAppInit.obj, tclshr.exe
	link/exe=$@ tclAppInit.obj, tclsh.opt/opt

libtcl.olb DEPENDS_ON $(GENERIC_OBJS) $(VMS_OBJS) $(COMPAT_OBJS) $(DL_OBJS)
	library/create $@ $(GENERIC_OBJS),$(VMS_OBJS),$(COMPAT_OBJS),$(DL_OBJS)


LDSHROPTS = /share/contiguous
OPTFILE =  tclshr-alpha.opt
TCLSHR_DEPS = tclshr.obj


!
!   Build the TCL shareable image
!

!
!   Link tclsh against the shareable image
!

! VMS specific objects
vmsFileChan.obj DEPENDS_ON vmsFileChan.c
	$(CC) $(CC_SWITCHES) vmsFileChan.c
ucxSockChan.obj DEPENDS_ON $(VMS_DIR)ucxSockChan.c
	$(CC) $(CC_SWITCHES)/nowarnings $(VMS_DIR)ucxSockChan.c
tclVMSfile.obj DEPENDS_ON $(VMS_DIR)tclVMSfile.c
	$(CC) $(CC_SWITCHES) $(VMS_DIR)tclVMSfile.c
tclVMSload.obj DEPENDS_ON $(VMS_DIR)tclVMSload.c
	$(CC) $(CC_SWITCHES) $(VMS_DIR)tclVMSload.c
tclVMSnotfy.obj DEPENDS_ON $(VMS_DIR)tclVMSnotfy.c
	$(CC) $(CC_SWITCHES) $(VMS_DIR)tclVMSnotfy.c
tclVMSsock.obj DEPENDS_ON $(VMS_DIR)tclVMSsock.c
	$(CC) $(CC_SWITCHES) $(VMS_DIR)tclVMSsock.c
tclVMStime.obj DEPENDS_ON $(VMS_DIR)tclVMStime.c
	$(CC) $(CC_SWITCHES) $(VMS_DIR)tclVMStime.c
tclVMSinit.obj DEPENDS_ON $(VMS_DIR)tclVMSinit.c
	$(CC) $(CC_SWITCHES) $(VMS_DIR)tclVMSinit.c
tclVMSexec.obj DEPENDS_ON $(VMS_DIR)tclVMSexec.c
	$(CC) $(CC_SWITCHES) $(VMS_DIR)tclVMSexec.c
VMSDevChan.obj DEPENDS_ON $(VMS_DIR)VMSDevChan.c
	$(CC) $(CC_SWITCHES) $(VMS_DIR)VMSDevChan.c
vmsNameToUnix.obj DEPENDS_ON $(VMS_DIR)vmsNameToUnix.c
	$(CC) $(CC_SWITCHES) $(VMS_DIR)vmsNameToUnix.c
VMSSELECT.obj DEPENDS_ON $(VMS_DIR)VMSSELECT.c
	$(CC) $(CC_SWITCHES) $(VMS_DIR)VMSSELECT.c
tclUnix2VMS.obj DEPENDS_ON $(VMS_DIR)tclUnix2VMS.c
	$(CC) $(CC_SWITCHES) $(VMS_DIR)tclUnix2VMS.c
tclshr.obj DEPENDS_ON $(VMS_DIR)tclshr.mar

! Object files used on all Unix systems DEPENDS_ON

panic.obj DEPENDS_ON $(GENERIC_DIR)panic.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)panic.c

regexp.obj DEPENDS_ON $(GENERIC_DIR)regexp.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)regexp.c

tclAppInit.obj DEPENDS_ON tclAppInit.c
	$(CC) $(CC_SWITCHES) tclAppInit.c

tclAsync.obj DEPENDS_ON $(GENERIC_DIR)tclAsync.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)tclAsync.c

tclBasic.obj DEPENDS_ON $(GENERIC_DIR)tclBasic.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)tclBasic.c

tclCkalloc.obj DEPENDS_ON $(GENERIC_DIR)tclCkalloc.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)tclCkalloc.c

tclClock.obj DEPENDS_ON $(GENERIC_DIR)tclClock.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)tclClock.c

tclCmdAH.obj DEPENDS_ON $(GENERIC_DIR)tclCmdAH.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)tclCmdAH.c

tclCmdIL.obj DEPENDS_ON $(GENERIC_DIR)tclCmdIL.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)tclCmdIL.c

tclCmdMZ.obj DEPENDS_ON $(GENERIC_DIR)tclCmdMZ.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)tclCmdMZ.c

tclDate.obj DEPENDS_ON $(GENERIC_DIR)tclDate.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)tclDate.c

tclEnv.obj DEPENDS_ON $(GENERIC_DIR)tclEnv.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)tclEnv.c

tclEvent.obj DEPENDS_ON $(GENERIC_DIR)tclEvent.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)tclEvent.c

tclExpr.obj DEPENDS_ON $(GENERIC_DIR)tclExpr.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)tclExpr.c

tclFHandle.obj DEPENDS_ON $(GENERIC_DIR)tclFHandle.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)tclFHandle.c

tclFileName.obj DEPENDS_ON $(GENERIC_DIR)tclFileName.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)tclFileName.c

tclGet.obj DEPENDS_ON $(GENERIC_DIR)tclGet.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)tclGet.c

tclHash.obj DEPENDS_ON $(GENERIC_DIR)tclHash.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)tclHash.c

tclHistory.obj DEPENDS_ON $(GENERIC_DIR)tclHistory.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)tclHistory.c

tclInterp.obj DEPENDS_ON $(GENERIC_DIR)tclInterp.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)tclInterp.c

tclIO.obj DEPENDS_ON $(GENERIC_DIR)tclIO.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)tclIO.c

tclIOCmd.obj DEPENDS_ON $(GENERIC_DIR)tclIOCmd.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)tclIOCmd.c

tclIOSock.obj DEPENDS_ON $(GENERIC_DIR)tclIOSock.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)tclIOSock.c

tclIOUtil.obj DEPENDS_ON $(GENERIC_DIR)tclIOUtil.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)tclIOUtil.c

tclLink.obj DEPENDS_ON $(GENERIC_DIR)tclLink.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)tclLink.c

tclLoad.obj DEPENDS_ON $(GENERIC_DIR)tclLoad.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)tclLoad.c

tclMain.obj DEPENDS_ON $(GENERIC_DIR)tclMain.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)tclMain.c

tclMtherr.obj DEPENDS_ON tclMtherr.c
	$(CC) $(CC_SWITCHES) tclMtherr.c

tclNotify.obj DEPENDS_ON $(GENERIC_DIR)tclNotify.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)tclNotify.c

tclParse.obj DEPENDS_ON $(GENERIC_DIR)tclParse.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)tclParse.c

tclPkg.obj DEPENDS_ON $(GENERIC_DIR)tclPkg.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)tclPkg.c

tclPosixStr.obj DEPENDS_ON $(GENERIC_DIR)tclPosixStr.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)tclPosixStr.c

tclPreserve.obj DEPENDS_ON $(GENERIC_DIR)tclPreserve.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)tclPreserve.c

tclProc.obj DEPENDS_ON $(GENERIC_DIR)tclProc.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)tclProc.c

tclUtil.obj DEPENDS_ON $(GENERIC_DIR)tclUtil.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)tclUtil.c

tclVar.obj DEPENDS_ON $(GENERIC_DIR)tclVar.c
	$(CC) $(CC_SWITCHES) $(GENERIC_DIR)tclVar.c


! compat binaries

strncasecmp.obj DEPENDS_ON $(COMPAT_DIR)strncasecmp.c
	$(CC) $(CC_SWITCHES) $(COMPAT_DIR)strncasecmp.c

strftime.obj DEPENDS_ON $(COMPAT_DIR)strftime.c
	$(CC) $(CC_SWITCHES) $(COMPAT_DIR)strftime.c

strtod.obj DEPENDS_ON $(COMPAT_DIR)strtod.c
	$(CC) $(CC_SWITCHES) $(COMPAT_DIR)strtod.c


! DO NOT DELETE THIS LINE -- make depend depends on it.

